(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     12026,        287]
NotebookOptionsPosition[     12452,        281]
NotebookOutlinePosition[     12941,        300]
CellTagsIndexPosition[     12898,        297]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.557581588015625*^9, 3.557581646703125*^9}, {
   3.557581740859375*^9, 3.557581759109375*^9}, {3.557581875078125*^9, 
   3.557581969453125*^9}, {3.55758203128125*^9, 3.557582043484375*^9}, 
   3.560449284546875*^9}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{Cell[TextData[{
    StyleBox["  ",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Plain",
     Background->None],
    StyleBox["  ",
     FontFamily->"Optima",
     FontSize->16,
     FontWeight->"Bold",
     Background->None],
    StyleBox["        ",
     FontFamily->"Optima",
     FontWeight->"Plain",
     Background->None],
    StyleBox["     ",
     FontFamily->"Optima",
     FontSize->16,
     FontWeight->"Plain",
     Background->None],
    StyleBox["Tool: Solving Equations\n               Author: ",
     FontFamily->"Optima",
     FontWeight->"Plain",
     Background->None],
    StyleBox["Ana C. Concei\[CCedilla]\[ATilde]o",
     FontFamily->"Optima",
     FontWeight->"Plain",
     FontVariations->{"Underline"->True},
     Background->None],
    StyleBox[
    " \n                           (Universidade do Algarve, aconcei@ualg.pt) \
            \n                   Year: 2021 ",
     FontFamily->"Optima",
     FontWeight->"Plain",
     Background->None],
    StyleBox["  ",
     FontFamily->"Optima",
     FontWeight->"Bold",
     Background->None],
    StyleBox[" ",
     FontFamily->"Optima",
     FontSize->16,
     FontWeight->"Bold",
     Background->None],
    StyleBox[" ",
     FontFamily->"Optima",
     FontSize->10,
     FontWeight->"Plain",
     Background->None],
    StyleBox["\n        ",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Bold",
     Background->None],
    StyleBox[" ",
     FontFamily->"Optima",
     FontWeight->"Bold",
     Background->None],
    StyleBox["Published: under license CC BY - NC - SA    ",
     FontFamily->"Optima",
     FontWeight->"Plain",
     Background->None],
    StyleBox["             ",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Plain",
     Background->None]
   }], "Section",
    CellChangeTimes->{{3.560518296834669*^9, 3.5605183114080544`*^9}, {
     3.560518646082142*^9, 3.560518662165022*^9}, {3.560518702205791*^9, 
     3.560518800592577*^9}, {3.560518864590123*^9, 3.5605188705762587`*^9}},
    FontFamily->"Courier",
    FontSize->14,
    Background->RGBColor[0.8, 0.8, 0.4]], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"a", " ", "x"}], "+", "b"}], "=", "0"}], "\n", 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`a$$ = 5, $CellContext`b$$ = -4, 
      Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
      Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ =
       1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
        Hold[$CellContext`a$$], -10, 10, 1}, {
        Hold[$CellContext`b$$], -10, 10, 1}}, Typeset`size$$ = {
      63.32000017166138, {8.633777904510499, 15.568988561630249`}}, 
      Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
      True, $CellContext`a$9375$$ = 0, $CellContext`b$9376$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       1, StandardForm, 
        "Variables" :> {$CellContext`a$$ = -10, $CellContext`b$$ = -10}, 
        "ControllerVariables" :> {
          Hold[$CellContext`a$$, $CellContext`a$9375$$, 0], 
          Hold[$CellContext`b$$, $CellContext`b$9376$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
        Solve[$CellContext`a$$ $CellContext`x + $CellContext`b$$ == 0], 
        "Specifications" :> {{$CellContext`a$$, -10, 10, 
           1}, {$CellContext`b$$, -10, 10, 1}}, "Options" :> {}, 
        "DefaultOptions" :> {}],
       ImageSizeCache->{246., {68., 74.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]], "\n", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"a", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", "-", "b"}], ")"}], "2"]}], "+", "c"}], " ", "=", "0"}], 
   "\n", 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`a$$ = -4, $CellContext`b$$ = -7, \
$CellContext`c$$ = -1, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
      Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ =
       1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
        Hold[$CellContext`a$$], -10, 10, 1}, {
        Hold[$CellContext`b$$], -10, 10, 1}, {
        Hold[$CellContext`c$$], -10, 10, 1}}, Typeset`size$$ = {
      179.64000034332275`, {8.633777904510499, 15.568988561630249`}}, 
      Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
      True, $CellContext`a$9426$$ = 0, $CellContext`b$9427$$ = 
      0, $CellContext`c$9428$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       1, StandardForm, 
        "Variables" :> {$CellContext`a$$ = -10, $CellContext`b$$ = -10, \
$CellContext`c$$ = -10}, "ControllerVariables" :> {
          Hold[$CellContext`a$$, $CellContext`a$9426$$, 0], 
          Hold[$CellContext`b$$, $CellContext`b$9427$$, 0], 
          Hold[$CellContext`c$$, $CellContext`c$9428$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
        Solve[$CellContext`a$$ ($CellContext`x - $CellContext`b$$)^2 + \
$CellContext`c$$ == 0], 
        "Specifications" :> {{$CellContext`a$$, -10, 10, 
           1}, {$CellContext`b$$, -10, 10, 1}, {$CellContext`c$$, -10, 10, 
           1}}, "Options" :> {}, "DefaultOptions" :> {}],
       ImageSizeCache->{246., {82., 88.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]], "\n", "\n", 
   RowBox[{
    RowBox[{"a", " ", 
     RowBox[{"ln", "[", 
      RowBox[{
       RowBox[{"b", 
        RowBox[{"(", 
         RowBox[{"x", "-", "c"}], ")"}]}], "+", "d"}], "]"}]}], "=", "0"}], 
   "\n", 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`a$$ = -6, $CellContext`b$$ = 
      1, $CellContext`c$$ = -5, $CellContext`d$$ = -5, Typeset`show$$ = True, 
      Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
      Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
      "\"untitled\"", Typeset`specs$$ = {{
        Hold[$CellContext`a$$], -10, 10, 1}, {
        Hold[$CellContext`b$$], -10, 10, 1}, {
        Hold[$CellContext`c$$], -10, 10, 1}, {
        Hold[$CellContext`d$$], -10, 10, 1}}, Typeset`size$$ = {
      107.32000017166138`, {10.892578125, 15.568988561630249`}}, 
      Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
      True, $CellContext`a$6292$$ = 0, $CellContext`b$6293$$ = 
      0, $CellContext`c$6294$$ = 0, $CellContext`d$6295$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       1, StandardForm, 
        "Variables" :> {$CellContext`a$$ = -10, $CellContext`b$$ = -10, \
$CellContext`c$$ = -10, $CellContext`d$$ = -10}, "ControllerVariables" :> {
          Hold[$CellContext`a$$, $CellContext`a$6292$$, 0], 
          Hold[$CellContext`b$$, $CellContext`b$6293$$, 0], 
          Hold[$CellContext`c$$, $CellContext`c$6294$$, 0], 
          Hold[$CellContext`d$$, $CellContext`d$6295$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
        Solve[$CellContext`a$$ 
            Log[$CellContext`b$$ ($CellContext`x - $CellContext`c$$)] + \
$CellContext`d$$ == 0], 
        "Specifications" :> {{$CellContext`a$$, -10, 10, 
           1}, {$CellContext`b$$, -10, 10, 1}, {$CellContext`c$$, -10, 10, 
           1}, {$CellContext`d$$, -10, 10, 1}}, "Options" :> {}, 
        "DefaultOptions" :> {}],
       ImageSizeCache->{246., {97., 103.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]]}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.560520497739834*^9, 3.560520505536604*^9}, {
   3.630144250012766*^9, 3.630144251837092*^9}, {3.7622440847065153`*^9, 
   3.762244193758007*^9}, {3.762244247174614*^9, 3.762244295289871*^9}, {
   3.762244327101151*^9, 3.762244483431416*^9}, {3.7622445628121567`*^9, 
   3.7622445817480717`*^9}, {3.762245566096245*^9, 3.7622455864177017`*^9}, {
   3.763122634438759*^9, 3.7631226495629053`*^9}, {3.7632088512578382`*^9, 
   3.7632088958013678`*^9}, {3.763209833079418*^9, 3.76320983604078*^9}, {
   3.763210614141741*^9, 3.76321062597369*^9}, {3.763236215000319*^9, 
   3.763236221128117*^9}, {3.7649234136645813`*^9, 3.7649234956931953`*^9}, {
   3.7651013746110888`*^9, 3.765101528894125*^9}, {3.765101574188038*^9, 
   3.765101592666292*^9}, {3.765101623520624*^9, 3.765101644095586*^9}, {
   3.7651017131165247`*^9, 3.765101742917519*^9}, {3.765101830814795*^9, 
   3.765101867047845*^9}, {3.765102228971027*^9, 3.765102256685358*^9}, {
   3.765102604764064*^9, 3.7651027033380547`*^9}, {3.7651028439093733`*^9, 
   3.765102861907263*^9}, {3.765103094465171*^9, 3.765103094988091*^9}, {
   3.765260763173443*^9, 3.765260801862319*^9}, {3.765260850343608*^9, 
   3.7652608643764133`*^9}, {3.765260895124065*^9, 3.765260909310916*^9}, {
   3.765260968431632*^9, 3.7652610573972607`*^9}, {3.765350706523731*^9, 
   3.7653507120216227`*^9}, {3.765350757673731*^9, 3.765350759268985*^9}, {
   3.784726057219138*^9, 3.784726101578063*^9}, {3.784726795295787*^9, 
   3.784726831641653*^9}, {3.83724775434449*^9, 3.8372480002171*^9}, 
   3.8445187153452377`*^9}]
},
WindowSize->{1228, 702},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1464, 33, 263, 4, 31, "Input"],
Cell[1730, 39, 10718, 240, 828, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature #wDW6VpJzuUiFAgsSFff71sd *)
