(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     19004,        414]
NotebookOptionsPosition[     19519,        410]
NotebookOutlinePosition[     20008,        429]
CellTagsIndexPosition[     19965,        426]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\n", "\n", 
  RowBox[{Cell[TextData[{
    StyleBox[
    "            Tool :  Rational Function Integration\n        Author :  Ana \
C. Concei\[CCedilla]\[ATilde]o \n                      (Universidade do \
Algarve, aconcei@ualg.pt)",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Plain",
     Background->None],
    StyleBox["         \n            ",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Bold",
     Background->None],
    StyleBox["Year :  2020  \n       P",
     FontFamily->"Optima",
     FontSize->18,
     FontWeight->"Plain",
     Background->None],
    StyleBox["ublished: under license CC BY - NC - SA",
     FontFamily->"Optima",
     FontSize->16,
     FontWeight->"Plain",
     Background->None]
   }], "Section",
    CellChangeTimes->{{3.560518296834669*^9, 3.5605183114080544`*^9}, {
     3.560518646082142*^9, 3.560518662165022*^9}, {3.560518702205791*^9, 
     3.560518800592577*^9}, {3.560518864590123*^9, 3.5605188705762587`*^9}},
    FontFamily->"Courier",
    FontSize->14,
    Background->RGBColor[0.8, 0.8, 0.4],
    ExpressionUUID -> "8c5f323e-a33d-4a8f-a576-4cb80b2c81be"], "\n", 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"\[Integral]", 
    RowBox[{
     FractionBox["A", 
      RowBox[{"x", "-", "a"}]], 
     RowBox[{"\[DifferentialD]", "x"}]}]}], "\n", 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`a$$ = -5, $CellContext`A$$ = 2, 
      Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
      Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ =
       1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
        Hold[$CellContext`A$$], -10, 10, 1}, {
        Hold[$CellContext`a$$], -10, 10, 1}}, Typeset`size$$ = {
      73., {3., 8.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
      Typeset`skipInitDone$$ = True, $CellContext`A$1515$$ = 
      0, $CellContext`a$1520$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       1, StandardForm, 
        "Variables" :> {$CellContext`a$$ = -10, $CellContext`A$$ = -10}, 
        "ControllerVariables" :> {
          Hold[$CellContext`A$$, $CellContext`A$1515$$, 0], 
          Hold[$CellContext`a$$, $CellContext`a$1520$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
        Integrate[$CellContext`A$$/($CellContext`x - $CellContext`a$$), \
$CellContext`x], 
        "Specifications" :> {{$CellContext`A$$, -10, 10, 
           1}, {$CellContext`a$$, -10, 10, 1}}, "Options" :> {}, 
        "DefaultOptions" :> {}],
       ImageSizeCache->{246., {64., 70.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]], "\n", 
   RowBox[{"\[Integral]", 
    RowBox[{
     FractionBox["A", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", "-", "a"}], ")"}], "k"]], 
     RowBox[{"\[DifferentialD]", "x"}]}]}], "\n", 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`a$$ = -5, $CellContext`A$$ = 
      2, $CellContext`k$$ = 30, Typeset`show$$ = True, 
      Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
      Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
      "\"untitled\"", Typeset`specs$$ = {{
        Hold[$CellContext`A$$], -10, 10, 1}, {
        Hold[$CellContext`a$$], -10, 10, 1}, {
        Hold[$CellContext`k$$], -3, 30, 1}}, Typeset`size$$ = {
      82.32000017166138, {12.892578125, 15.568988561630249`}}, 
      Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
      True, $CellContext`A$16128$$ = 0, $CellContext`a$16129$$ = 
      0, $CellContext`k$16130$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       1, StandardForm, 
        "Variables" :> {$CellContext`a$$ = -10, $CellContext`A$$ = -10, \
$CellContext`k$$ = -3}, "ControllerVariables" :> {
          Hold[$CellContext`A$$, $CellContext`A$16128$$, 0], 
          Hold[$CellContext`a$$, $CellContext`a$16129$$, 0], 
          Hold[$CellContext`k$$, $CellContext`k$16130$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
        Integrate[$CellContext`A$$/($CellContext`x - \
$CellContext`a$$)^$CellContext`k$$, $CellContext`x], 
        "Specifications" :> {{$CellContext`A$$, -10, 10, 
           1}, {$CellContext`a$$, -10, 10, 1}, {$CellContext`k$$, -3, 30, 1}},
         "Options" :> {}, "DefaultOptions" :> {}],
       ImageSizeCache->{246., {84., 90.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]], "\n", 
   RowBox[{"\[Integral]", 
    RowBox[{
     FractionBox["A", 
      RowBox[{
       RowBox[{"a", " ", 
        SuperscriptBox["x", "2"]}], "+", 
       RowBox[{"b", " ", "x"}], "+", "c"}]], 
     RowBox[{"\[DifferentialD]", "x"}]}]}], "\n", 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`A$$ = 
      1, $CellContext`b$$ = 4, $CellContext`c$$ = 10, Typeset`show$$ = True, 
      Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
      Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
      "\"untitled\"", Typeset`specs$$ = {{
        Hold[$CellContext`A$$], -10, 10, 1}, {
        Hold[$CellContext`a$$], -10, 10, 1}, {
        Hold[$CellContext`b$$], -10, 10, 1}, {
        Hold[$CellContext`c$$], -10, 10, 1}}, Typeset`size$$ = {
      81.64000034332275, {12.259765625, 25.63902053833008}}, 
      Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
      True, $CellContext`A$1624$$ = 0, $CellContext`a$1625$$ = 
      0, $CellContext`b$1626$$ = 0, $CellContext`c$1627$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       1, StandardForm, 
        "Variables" :> {$CellContext`a$$ = -10, $CellContext`A$$ = -10, \
$CellContext`b$$ = -10, $CellContext`c$$ = -10}, "ControllerVariables" :> {
          Hold[$CellContext`A$$, $CellContext`A$1624$$, 0], 
          Hold[$CellContext`a$$, $CellContext`a$1625$$, 0], 
          Hold[$CellContext`b$$, $CellContext`b$1626$$, 0], 
          Hold[$CellContext`c$$, $CellContext`c$1627$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
        Integrate[$CellContext`A$$/($CellContext`a$$ $CellContext`x^2 + \
$CellContext`b$$ $CellContext`x + $CellContext`c$$), $CellContext`x], 
        "Specifications" :> {{$CellContext`A$$, -10, 10, 
           1}, {$CellContext`a$$, -10, 10, 1}, {$CellContext`b$$, -10, 10, 
           1}, {$CellContext`c$$, -10, 10, 1}}, "Options" :> {}, 
        "DefaultOptions" :> {}],
       ImageSizeCache->{246., {103., 109.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]], "\n", 
   RowBox[{"\[Integral]", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"A", " ", "x"}], "+", "B"}], 
      RowBox[{
       RowBox[{"a", " ", 
        SuperscriptBox["x", "2"]}], "+", 
       RowBox[{"b", " ", "x"}], "+", "c"}]], 
     RowBox[{"\[DifferentialD]", "x"}]}]}], "\n", 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`A$$ = 
      3, $CellContext`b$$ = -1, $CellContext`B$$ = -1, $CellContext`c$$ = 1, 
      Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
      Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ =
       1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
        Hold[$CellContext`A$$], -10, 10, 1}, {
        Hold[$CellContext`B$$], -10, 10, 1}, {
        Hold[$CellContext`a$$], -10, 10, 1}, {
        Hold[$CellContext`b$$], -10, 10, 1}, {
        Hold[$CellContext`c$$], -10, 10, 1}}, Typeset`size$$ = {
      208.96000051498413`, {12.259765625, 25.63902053833008}}, 
      Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
      True, $CellContext`A$1669$$ = 0, $CellContext`B$1670$$ = 
      0, $CellContext`a$1671$$ = 0, $CellContext`b$1672$$ = 
      0, $CellContext`c$1673$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       1, StandardForm, 
        "Variables" :> {$CellContext`a$$ = -10, $CellContext`A$$ = -10, \
$CellContext`b$$ = -10, $CellContext`B$$ = -10, $CellContext`c$$ = -10}, 
        "ControllerVariables" :> {
          Hold[$CellContext`A$$, $CellContext`A$1669$$, 0], 
          Hold[$CellContext`B$$, $CellContext`B$1670$$, 0], 
          Hold[$CellContext`a$$, $CellContext`a$1671$$, 0], 
          Hold[$CellContext`b$$, $CellContext`b$1672$$, 0], 
          Hold[$CellContext`c$$, $CellContext`c$1673$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
        Integrate[($CellContext`A$$ $CellContext`x + \
$CellContext`B$$)/($CellContext`a$$ $CellContext`x^2 + $CellContext`b$$ \
$CellContext`x + $CellContext`c$$), $CellContext`x], 
        "Specifications" :> {{$CellContext`A$$, -10, 10, 
           1}, {$CellContext`B$$, -10, 10, 1}, {$CellContext`a$$, -10, 10, 
           1}, {$CellContext`b$$, -10, 10, 1}, {$CellContext`c$$, -10, 10, 
           1}}, "Options" :> {}, "DefaultOptions" :> {}],
       ImageSizeCache->{252., {117., 123.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]], "\n", 
   RowBox[{"\[Integral]", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"A", " ", "x"}], "+", "B"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a", " ", 
          SuperscriptBox["x", "2"]}], "+", 
         RowBox[{"b", " ", "x"}], "+", "c"}], ")"}], "k"]], 
     RowBox[{"\[DifferentialD]", "x"}]}]}], "\n", 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`A$$ = 
      0, $CellContext`b$$ = 0, $CellContext`B$$ = 1, $CellContext`c$$ = 
      1, $CellContext`k$$ = 2, Typeset`show$$ = True, 
      Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
      Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
      "\"untitled\"", Typeset`specs$$ = {{
        Hold[$CellContext`A$$], -10, 10, 1}, {
        Hold[$CellContext`B$$], -10, 10, 1}, {
        Hold[$CellContext`a$$], -10, 10, 1}, {
        Hold[$CellContext`b$$], -10, 10, 1}, {
        Hold[$CellContext`c$$], -10, 10, 1}, {
        Hold[$CellContext`k$$], -3, 3, 1}}, Typeset`size$$ = {
      142.64000034332275`, {9.892578125, 15.568988561630249`}}, 
      Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
      True, $CellContext`A$51264$$ = 0, $CellContext`B$51265$$ = 
      0, $CellContext`a$51266$$ = 0, $CellContext`b$51267$$ = 
      0, $CellContext`c$51268$$ = 0, $CellContext`k$51269$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       1, StandardForm, 
        "Variables" :> {$CellContext`a$$ = -10, $CellContext`A$$ = -10, \
$CellContext`b$$ = -10, $CellContext`B$$ = -10, $CellContext`c$$ = -10, \
$CellContext`k$$ = -3}, "ControllerVariables" :> {
          Hold[$CellContext`A$$, $CellContext`A$51264$$, 0], 
          Hold[$CellContext`B$$, $CellContext`B$51265$$, 0], 
          Hold[$CellContext`a$$, $CellContext`a$51266$$, 0], 
          Hold[$CellContext`b$$, $CellContext`b$51267$$, 0], 
          Hold[$CellContext`c$$, $CellContext`c$51268$$, 0], 
          Hold[$CellContext`k$$, $CellContext`k$51269$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
        Integrate[($CellContext`A$$ $CellContext`x + \
$CellContext`B$$)/($CellContext`a$$ $CellContext`x^2 + $CellContext`b$$ \
$CellContext`x + $CellContext`c$$)^$CellContext`k$$, $CellContext`x], 
        "Specifications" :> {{$CellContext`A$$, -10, 10, 
           1}, {$CellContext`B$$, -10, 10, 1}, {$CellContext`a$$, -10, 10, 
           1}, {$CellContext`b$$, -10, 10, 1}, {$CellContext`c$$, -10, 10, 
           1}, {$CellContext`k$$, -3, 3, 1}}, "Options" :> {}, 
        "DefaultOptions" :> {}],
       ImageSizeCache->{246., {125., 131.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]], "\n", 
   RowBox[{"\[Integral]", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"A", " ", "x"}], "+", "B"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a", " ", 
          SuperscriptBox["x", "2"]}], "+", 
         RowBox[{"b", " ", "x"}], "+", "c"}], ")"}], "k"]], 
     RowBox[{"\[DifferentialD]", "x"}]}]}], "\n", 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`A$$ = 
      1, $CellContext`b$$ = 2, $CellContext`B$$ = 3, $CellContext`c$$ = 
      2, $CellContext`k$$ = 2, Typeset`show$$ = True, 
      Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
      Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
      "\"untitled\"", Typeset`specs$$ = {{
        Hold[$CellContext`A$$], -10, 10, 1}, {
        Hold[$CellContext`B$$], -10, 10, 1}, {
        Hold[$CellContext`a$$], -10, 10, 1}, {
        Hold[$CellContext`b$$], -10, 10, 1}, {
        Hold[$CellContext`c$$], -10, 10, 1}, {
        Hold[$CellContext`k$$], -3, 3, 1}}, Typeset`size$$ = {
      188.32000017166138`, {14.837890625, 15.568988561630249`}}, 
      Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
      True, $CellContext`A$51341$$ = 0, $CellContext`B$51342$$ = 
      0, $CellContext`a$51343$$ = 0, $CellContext`b$51344$$ = 
      0, $CellContext`c$51345$$ = 0, $CellContext`k$51346$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       1, StandardForm, 
        "Variables" :> {$CellContext`a$$ = -10, $CellContext`A$$ = -10, \
$CellContext`b$$ = -10, $CellContext`B$$ = -10, $CellContext`c$$ = -10, \
$CellContext`k$$ = -3}, "ControllerVariables" :> {
          Hold[$CellContext`A$$, $CellContext`A$51341$$, 0], 
          Hold[$CellContext`B$$, $CellContext`B$51342$$, 0], 
          Hold[$CellContext`a$$, $CellContext`a$51343$$, 0], 
          Hold[$CellContext`b$$, $CellContext`b$51344$$, 0], 
          Hold[$CellContext`c$$, $CellContext`c$51345$$, 0], 
          Hold[$CellContext`k$$, $CellContext`k$51346$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
        Integrate[($CellContext`A$$ $CellContext`x + \
$CellContext`B$$)/($CellContext`a$$ $CellContext`x^2 + $CellContext`b$$ \
$CellContext`x + $CellContext`c$$)^$CellContext`k$$, $CellContext`x], 
        "Specifications" :> {{$CellContext`A$$, -10, 10, 
           1}, {$CellContext`B$$, -10, 10, 1}, {$CellContext`a$$, -10, 10, 
           1}, {$CellContext`b$$, -10, 10, 1}, {$CellContext`c$$, -10, 10, 
           1}, {$CellContext`k$$, -3, 3, 1}}, "Options" :> {}, 
        "DefaultOptions" :> {}],
       ImageSizeCache->{246., {127., 133.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]], "\n", "\n"}]}]], "Input",
 CellChangeTimes->{{3.557581588015625*^9, 3.557581646703125*^9}, {
   3.557581740859375*^9, 3.557581759109375*^9}, {3.557581875078125*^9, 
   3.557581969453125*^9}, {3.55758203128125*^9, 3.557582043484375*^9}, 
   3.560449284546875*^9, 3.814084791397047*^9}]
},
WindowSize->{1228, 690},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1464, 33, 18051, 375, 1985, "Input"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature EuTOLzF7jkQ7ODKgTlc#7kRZ *)
