(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     12732,        373]
NotebookOptionsPosition[     12907,        359]
NotebookOutlinePosition[     13265,        375]
CellTagsIndexPosition[     13222,        372]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.8145940310402203`*^9}],

Cell[CellGroupData[{

Cell[BoxData[Cell[TextData[{
  StyleBox["                            ",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Plain",
   Background->None],
  StyleBox["Riemann Sums            ",
   FontFamily->"Optima",
   FontSize->16,
   FontWeight->"Bold",
   Background->None],
  StyleBox["       ",
   FontFamily->"Optima",
   FontWeight->"Plain",
   Background->None],
  StyleBox["\n                ",
   FontFamily->"Optima",
   FontSize->16,
   FontWeight->"Plain",
   Background->None],
  StyleBox["Author: ",
   FontFamily->"Optima",
   FontWeight->"Plain",
   Background->None],
  StyleBox["Ana C. Concei\[CCedilla]\[ATilde]o",
   FontFamily->"Optima",
   FontWeight->"Plain",
   FontVariations->{"Underline"->True},
   Background->None],
  StyleBox[
  " (aconcei@ualg.pt)               \n                               \
Universidade do Algarve (2020) ",
   FontFamily->"Optima",
   FontWeight->"Plain",
   Background->None],
  StyleBox["  ",
   FontFamily->"Optima",
   FontWeight->"Bold",
   Background->None],
  StyleBox["  \n               ",
   FontFamily->"Optima",
   FontSize->16,
   FontWeight->"Bold",
   Background->None],
  StyleBox["Addapted from:",
   FontFamily->"Optima",
   FontWeight->"Plain",
   Background->None],
  StyleBox[" ",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Plain",
   Background->None],
  StyleBox["Riemann Sums - Ed Pegg Jr   ",
   FontFamily->"Optima",
   FontSize->10,
   FontWeight->"Plain",
   Background->None],
  StyleBox["\n              ",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Bold",
   Background->None],
  StyleBox["Published under license CC BY - NC - SA    ",
   FontFamily->"Optima",
   FontWeight->"Plain",
   Background->None],
  StyleBox["             ",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Plain",
   Background->None]
 }], "Section",
  CellChangeTimes->{{3.560518296834669*^9, 3.5605183114080544`*^9}, {
   3.560518646082142*^9, 3.560518662165022*^9}, {3.560518702205791*^9, 
   3.560518800592577*^9}, {3.560518864590123*^9, 3.5605188705762587`*^9}},
  FontFamily->"Courier",
  FontSize->14,
  Background->RGBColor[0.8, 0.8, 0.4]]], "Input",
 CellChangeTimes->{{3.814594134137465*^9, 3.8145941614438543`*^9}, {
  3.8145946574556627`*^9, 3.8145947778086977`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`blocks$$ = 21, $CellContext`fff$$ = 
    6, $CellContext`type$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`blocks$$], 10, "number of rectangles"}, 4, 70, 1}, {{
      
       Hold[$CellContext`type$$], 2, "height"}, {
      1 -> "left", 2 -> "midpoint", 3 -> "right"}}, {{
       Hold[$CellContext`fff$$], 4, 
       "function"}, $CellContext`FunctionButtons}}, Typeset`size$$ = {
    360., {147., 152.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`blocks$74836$$ = 
    0, $CellContext`type$74837$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`blocks$$ = 10, $CellContext`fff$$ = 
        4, $CellContext`type$$ = 2}, "ControllerVariables" :> {
        Hold[$CellContext`blocks$$, $CellContext`blocks$74836$$, 0], 
        Hold[$CellContext`type$$, $CellContext`type$74837$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`RiemannBlocks[
        Part[
         $CellContext`FunctionF[$CellContext`x], $CellContext`fff$$], \
{$CellContext`x, 0, 5, $CellContext`blocks$$}, $CellContext`type$$], 
      "Specifications" :> {{{$CellContext`blocks$$, 10, 
          "number of rectangles"}, 4, 70, 1, Appearance -> 
         "Labeled"}, {{$CellContext`type$$, 2, "height"}, {
         1 -> "left", 2 -> "midpoint", 3 -> "right"}}, {{$CellContext`fff$$, 
          4, "function"}, $CellContext`FunctionButtons, ControlType -> 
         InputField}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {230., 236.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`RiemannBlocks[
         Pattern[$CellContext`f, 
          Blank[]], {
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`n, 
           Blank[]]}, 
         Pattern[$CellContext`type, 
          Blank[]]] := 
       Plot[$CellContext`f, {$CellContext`x, $CellContext`a, $CellContext`b}, 
         Prolog -> Table[
           ({{
             GrayLevel[0.8], 
             Polygon[#]}, 
            Line[
             Append[#, 
              Part[#, 1]]]}& )[
            ($CellContext`BlockCoords[#, #2, 
             $CellContext`Sample[$CellContext`f, {$CellContext`x, #, #2}, \
$CellContext`type]]& )[$CellContext`a + $CellContext`i (($CellContext`b - \
$CellContext`a)/$CellContext`n), $CellContext`a + ($CellContext`i + 
               1) (($CellContext`b - $CellContext`a)/$CellContext`n)]], \
{$CellContext`i, 0, $CellContext`n - 1}], 
         ImagePadding -> {{25, 25}, {25, 50}}, PlotLabel -> 
         StringJoin["estimated area = ", 
           ToString[
            NumberForm[($CellContext`b - $CellContext`a) (Sum[
                $CellContext`IsReal[
                 $CellContext`Sample[$CellContext`f, {$CellContext`x, \
$CellContext`a + $CellContext`i (($CellContext`b - \
$CellContext`a)/$CellContext`n), $CellContext`a + ($CellContext`i + 
                    1) (($CellContext`b - $CellContext`a)/$CellContext`n)}, \
$CellContext`type]], {$CellContext`i, 0, $CellContext`n - 
                 1}]/$CellContext`n), {7, 4}, NumberPadding -> {"", "0"}]], 
           "\n", "actual area = ", 
           ToString[
            NumberForm[
             Check[
              Chop[
               
               NIntegrate[$CellContext`f, {$CellContext`x, $CellContext`a, \
$CellContext`b}, AccuracyGoal -> 12]], I], {7, 4}, 
             NumberPadding -> {"", "0"}]]]], $CellContext`BlockCoords[
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`b, 
          Blank[]], 
         Pattern[$CellContext`h, 
          Blank[]]] := {{$CellContext`a, 
          0}, {$CellContext`a, $CellContext`h}, {$CellContext`b, \
$CellContext`h}, {$CellContext`b, 0}}, $CellContext`Sample[
         Pattern[$CellContext`f, 
          Blank[]], {
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]}, 
         Pattern[$CellContext`type, 
          Blank[]]] := Part[{
          $CellContext`LeftValue[$CellContext`f, {$CellContext`x, \
$CellContext`a, $CellContext`b}], 
          $CellContext`MidpointValue[$CellContext`f, {$CellContext`x, \
$CellContext`a, $CellContext`b}], 
          $CellContext`RightValue[$CellContext`f, {$CellContext`x, \
$CellContext`a, $CellContext`b}]}, $CellContext`type], $CellContext`LeftValue[
        
         Pattern[$CellContext`f, 
          Blank[]], {
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]}] := N[
         ReplaceAll[$CellContext`f, $CellContext`x -> $CellContext`a]], \
$CellContext`MidpointValue[
         Pattern[$CellContext`f, 
          Blank[]], {
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]}] := N[
         ReplaceAll[$CellContext`f, $CellContext`x -> ($CellContext`a + \
$CellContext`b)/2]], $CellContext`RightValue[
         Pattern[$CellContext`f, 
          Blank[]], {
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]}] := N[
         ReplaceAll[$CellContext`f, $CellContext`x -> $CellContext`b]], \
$CellContext`IsReal[
         Pattern[$CellContext`x, 
          Blank[]]] := Module[{}, If[
           Or[
            Not[
             NumericQ[$CellContext`x]], Im[$CellContext`x] != 0], 
           Throw[
           "One or more samples are outside the domain."]]; $CellContext`x], \
$CellContext`FunctionF[
         Pattern[$CellContext`x, 
          Blank[]]] := {$CellContext`x - 1, $CellContext`x^2 - 
         1, $CellContext`x^3 - 1, 
         Log[$CellContext`x + 1], (1 - $CellContext`x)^2, 
         Abs[$CellContext`x - 2], 
         Cos[$CellContext`x], 
         Sqrt[
          Abs[$CellContext`x - 1]]}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.8145935388884563`*^9, {3.814593642254395*^9, 3.8145936576099586`*^9}, {
   3.814593927628491*^9, 3.814593939225493*^9}}]
}, Open  ]],

Cell["\<\

Baseado num cdf criado por Ed Pegg Jr\
\>", "SubitemParagraph",
 CellChangeTimes->{{3.729837240289508*^9, 3.729837289956614*^9}},
 FontSize->12],

Cell[BoxData[
 RowBox[{"f1", "=", 
  RowBox[{"x", "-", "1"}]}]], "Input",
 CellChangeTimes->{{3.729838268129624*^9, 3.7298382720778017`*^9}},
 FontSize->12],

Cell[BoxData[
 RowBox[{"f2", "=", 
  RowBox[{
   SuperscriptBox["x", "2"], "-", "1"}]}]], "Input",
 CellChangeTimes->{{3.729838268129624*^9, 3.7298382923246317`*^9}},
 FontSize->12],

Cell[BoxData[
 RowBox[{"f3", "=", 
  RowBox[{
   SuperscriptBox["x", "3"], "-", "1"}]}]], "Input",
 CellChangeTimes->{{3.729838268129624*^9, 3.7298383048506603`*^9}},
 FontSize->12],

Cell[BoxData[
 RowBox[{"f4", "=", 
  RowBox[{"log", 
   RowBox[{"(", 
    RowBox[{"x", "+", "1"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.729838268129624*^9, 3.729838315585754*^9}},
 FontSize->12],

Cell[BoxData[
 RowBox[{"f5", "=", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "-", "x"}], ")"}], "2"]}]], "Input",
 CellChangeTimes->{{3.729838268129624*^9, 3.729838329577332*^9}},
 FontSize->12],

Cell[BoxData[
 RowBox[{"f6", "=", 
  RowBox[{"|", 
   RowBox[{"x", "-", "2"}], "|"}]}]], "Input",
 CellChangeTimes->{{3.729838268129624*^9, 3.7298382923246317`*^9}, {
  3.7298383352452507`*^9, 3.729838363036315*^9}},
 FontSize->12],

Cell[BoxData[
 RowBox[{"f7", "=", 
  RowBox[{"cos", 
   RowBox[{"(", "x", ")"}]}]}]], "Input",
 CellChangeTimes->{{3.729838268129624*^9, 3.7298382923246317`*^9}, {
  3.729838369084475*^9, 3.729838377594428*^9}},
 FontSize->12],

Cell[BoxData[
 RowBox[{"f8", "=", 
  SqrtBox[
   RowBox[{"|", 
    RowBox[{"x", "-", "1"}], "|"}]]}]], "Input",
 CellChangeTimes->{{3.729838268129624*^9, 3.7298382923246317`*^9}, {
  3.729838381710127*^9, 3.729838399243561*^9}},
 FontSize->12]
},
WindowSize->{808, 615},
WindowMargins->{{Automatic, 47}, {Automatic, 0}},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1464, 33, 89, 1, 54, "Input"],
Cell[CellGroupData[{
Cell[1578, 38, 2291, 80, 136, "Input"],
Cell[3872, 120, 7215, 168, 483, "Output"]
}, Open  ]],
Cell[11102, 291, 155, 5, 34, "SubitemParagraph"],
Cell[11260, 298, 156, 4, 31, "Input"],
Cell[11419, 304, 181, 5, 32, "Input"],
Cell[11603, 311, 181, 5, 32, "Input"],
Cell[11787, 318, 200, 6, 31, "Input"],
Cell[11990, 326, 204, 6, 32, "Input"],
Cell[12197, 334, 231, 6, 32, "Input"],
Cell[12431, 342, 226, 6, 31, "Input"],
Cell[12660, 350, 243, 7, 40, "Input"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature xvTg0HxXFXtnIDwyzPWwqd8j *)
