(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[    142801,       2755]
NotebookOptionsPosition[    143032,       2743]
NotebookOutlinePosition[    143500,       2764]
CellTagsIndexPosition[    143457,       2761]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[Cell[TextData[{
  StyleBox["\t",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Plain",
   Background->RGBColor[1, 0.85, 0.85]],
  StyleBox["   F-Tool :  ",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Plain",
   Background->None],
  StyleBox["F-Logistic",
   FontFamily->"Optima",
   FontSize->18,
   Background->None],
  StyleBox["\n\t Authors :  ",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Plain",
   Background->None],
  StyleBox["Ana C. Concei\[CCedilla]\[ATilde]o",
   FontFamily->"Optima",
   FontSize->18,
   Background->None],
  StyleBox[", ",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Plain",
   Background->None],
  StyleBox["Jos\[EAcute] C. Pereira\n          ",
   FontFamily->"Optima",
   FontSize->18,
   Background->None],
  StyleBox["Affiliation :  ",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Plain",
   Background->None],
  StyleBox["Universidade do Algarve\n ",
   FontFamily->"Optima",
   FontSize->18,
   Background->None],
  StyleBox["Related Articles : ",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Plain",
   Background->None],
  StyleBox[" ",
   FontFamily->"Optima",
   FontSize->18,
   Background->None],
  StyleBox["F-Tool 2.0: Exploring the Logistic Function in the Classroom",
   FontFamily->"Optima",
   FontSize->18,
   FontSlant->"Italic",
   Background->None],
  StyleBox[", ",
   FontFamily->"Optima",
   FontSize->18,
   Background->None],
  StyleBox["SYMCOMP 2013              \n  \t      Year :  ",
   FontFamily->"Optima",
   FontSize->18,
   FontWeight->"Plain",
   Background->None],
  StyleBox["2013",
   FontFamily->"Optima",
   FontSize->18,
   Background->None]
 }], "Section",
  CellChangeTimes->{{3.560518296834669*^9, 3.5605183114080544`*^9}, {
   3.560518646082142*^9, 3.560518662165022*^9}, {3.560518702205791*^9, 
   3.560518800592577*^9}, {3.560518864590123*^9, 3.5605188705762587`*^9}},
  FontFamily->"Courier",
  FontSize->14,
  FontColor->GrayLevel[0],
  Background->RGBColor[0.6195925841153582, 0.847547112230106, 1.]]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    1, $CellContext`c$$ = 0, $CellContext`d$$ = 0, $CellContext`firstD$$ = 
    False, $CellContext`inflection$$ = False, $CellContext`inverse$$ = 
    False, $CellContext`k$$ = 1, $CellContext`rationalize$$ = 
    True, $CellContext`secondD$$ = False, $CellContext`tangent$$ = 
    False, $CellContext`x0$$ = 
    2.6400000000000006`, $CellContext`yyintersect$$ = 
    False, $CellContext`zero$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["\!\(\*\nStyleBox[\"Arithmetic\",\nFontSize->14]\)", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`rationalize$$], True, ""}, {
      True -> "Exact", False -> "Approximate"}}, {
      Hold[
       Style["\!\(\*\nStyleBox[\"Parameters\",\nFontSize->14]\)", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`a$$], 1}, -12, 12, 0.01}, {{
       Hold[$CellContext`b$$], 1}, -20, 20, 0.01}, {{
       Hold[$CellContext`c$$], 0}, -10, 10, 0.01}, {{
       Hold[$CellContext`d$$], 0}, -10, 10, 0.01}, {{
       Hold[$CellContext`k$$], 1}, 0.01, 20, 0.01}, {
      Hold[
       Style["\!\(\*\nStyleBox[\"Derivatives\",\nFontSize->14]\)", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`firstD$$], False, 
       Text[
        TraditionalForm[
         TraditionalForm[
          Text[
           Style[
            Derivative[1][$CellContext`f][$CellContext`x], 16]]]]]}, {
      True, False}}, {{
       Hold[$CellContext`secondD$$], False, 
       Text[
        TraditionalForm[
         TraditionalForm[
          Text[
           Style[
            Derivative[2][$CellContext`f][$CellContext`x], 16]]]]]}, {
      True, False}}, {
      Hold[
       Column[{
         Row[{"           ", 
           Manipulate`Place[1]}], 
         Row[{"         ", 
           Manipulate`Place[2]}]}]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style[
       "\!\(\*\nStyleBox[\"Inverse\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\
\nFontSize->14]\)\!\(\*\nStyleBox[\"Function\",\nFontSize->14]\)", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`inverse$$], False, 
       Text[
        TraditionalForm[
         TraditionalForm[
          Text[
           Style[
            Superscript[$CellContext`f, -1][$CellContext`x], 16]]]]]}, {
      True, False}}, {
      Hold[
       Row[{"        ", 
         Manipulate`Place[3]}]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style[
       "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\
\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\nStyleBox[\
\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"at\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"x\", \"0\"],\n\
FontSize->14]\)", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`tangent$$], False, 
       "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSize->14,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14,\n\
FontSlant->\"Italic\"]\)"}, {True, False}}, {
      Hold[
       Row[{"      ", 
         Manipulate`Place[4]}]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`x0$$], 0}, -10, 10, 0.01}, {
      Hold[
       Dynamic[
        If[$CellContext`tangent$$, 
         Row[{"      ", 
           Manipulate`Place[5]}], ""]]], Manipulate`Dump`ThisIsNotAControl}, {
     
      Hold[
       Dynamic[
        If[$CellContext`k$$ >= 0, 
         Style[
         "  \!\(\*\nStyleBox[\"Domain\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"=\",\nFontSize->14]\)\!\(\*\nStyleBox[\
\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\[DoubleStruckCapitalR]\",\n\
FontSize->14]\)", Bold], 
         Style["  \!\(\*\nStyleBox[\"Domain\",\nFontSize->14]\)", Bold]]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        If[$CellContext`k$$ > 0, 
         Style[
          Row[
           If[$CellContext`b$$ == 0, {
             Style["\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
             
             Style["{", 16], 
             If[$CellContext`rationalize$$, 
              
              Rationalize[$CellContext`a$$/(
                1 + $CellContext`k$$) + $CellContext`d$$], $CellContext`a$$/(
               1 + $CellContext`k$$) + $CellContext`d$$], 
             Style["}", 16]}, 
            If[$CellContext`a$$ < 0, {
              Style["\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
              Style["]", 16], 
              If[$CellContext`rationalize$$, 
               
               Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$], 
              Style[" ; ", 16], 
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`d$$], $CellContext`d$$], 
              Style["[", 16]}, 
             If[$CellContext`a$$ > 0, {
               Style[
               "\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
               Style["]", 16], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`d$$], $CellContext`d$$], 
               Style[" ; ", 16], 
               If[$CellContext`rationalize$$, 
                
                Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$], 
               Style["[", 16]}, {
               Style[
               "\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
               Style["{", 16], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`d$$], $CellContext`d$$], 
               Style["}", 16]}]]]], 14], 
         If[$CellContext`k$$ == 0, 
          Style[
           Row[{
             Style["\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
             
             Style["{", 16], 
             If[$CellContext`rationalize$$, 
              
              Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$], 
             Style["}", 16]}], 14], 
          Style["  \!\(\*\nStyleBox[\"Range\",\nFontSize->14]\)", Bold]]]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       OpenerView[{
         Style["\!\(\*\nStyleBox[\"Asymptotes\",\nFontSize->14]\)", Bold], 
         Dynamic[
          If[$CellContext`k$$ > 0, 
           If[$CellContext`b$$ != 0, 
            Column[{
              $CellContext`TradForm[
               Row[{"     ", 
                 TraditionalForm[
                  Style[$CellContext`y, 16]], " = ", 
                 If[$CellContext`rationalize$$, 
                  Rationalize[$CellContext`d$$], $CellContext`d$$]}], 16], 
              $CellContext`TradForm[
               Row[{"     ", 
                 TraditionalForm[
                  Style[$CellContext`y, 16]], " = ", 
                 If[$CellContext`rationalize$$, 
                  
                  Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$]}], 16]}], 
            $CellContext`TradForm[
             Row[{"     ", 
               TraditionalForm[
                Style[$CellContext`y, 16]], " = ", 
               If[$CellContext`rationalize$$, 
                
                Rationalize[$CellContext`a$$/(
                  1 + $CellContext`k$$) + $CellContext`d$$], \
$CellContext`a$$/(1 + $CellContext`k$$) + $CellContext`d$$]}], 16]], 
           If[$CellContext`k$$ == 0, 
            $CellContext`TradForm[
             Row[{"     ", 
               TraditionalForm[
                Style[$CellContext`y, 16]], " = ", 
               If[$CellContext`rationalize$$, 
                
                Rationalize[$CellContext`a$$/(
                  1 + $CellContext`k$$) + $CellContext`d$$], \
$CellContext`a$$/(1 + $CellContext`k$$) + $CellContext`d$$]}], 16], ""]]]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style[
       "  \!\(\*\nStyleBox[\"Analytic\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Expressions\",\nFontSize->14]\)", 
        Bold]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        If[$CellContext`k$$ >= 0, 
         $CellContext`TradForm[
          
          Row[{"       \!\(\*\nStyleBox[\"f\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\))", 
            If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
            If[$CellContext`rationalize$$, 
             $CellContext`Rf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
             $CellContext`f[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]]}], 
          16], 
         If[
          And[$CellContext`k$$ == -1, $CellContext`b$$ == 0], 
          $CellContext`TradForm[
          "       \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\)) \!\(\*\nStyleBox[\"is\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"not\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"well\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"defined\",\nFontSlant->\"Italic\"]\
\)", 16], 
          $CellContext`TradForm[
          "       \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\))", 16]]]]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Row[{"     ", 
         OpenerView[{
           Style["\!\(\*\nStyleBox[\"More\",\nFontSize->13]\)", Bold], 
           Column[{
             Dynamic[
              $CellContext`TradForm[
               If[
                And[$CellContext`firstD$$, $CellContext`k$$ >= 0], 
                
                Row[{"\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"'\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                  If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                  If[$CellContext`rationalize$$, 
                   $CellContext`RDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
                   $CellContext`Df[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]]}], 
                
                Row[{"\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"'\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]], "", 
             Dynamic[
              $CellContext`TradForm[
               If[
                And[$CellContext`secondD$$, $CellContext`k$$ >= 0], 
                
                Row[{"\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"''\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                  If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                  If[$CellContext`rationalize$$, 
                   $CellContext`RDDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
                   $CellContext`DDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]]}], 
                
                Row[{"\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"''\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]], "", 
             Dynamic[
              $CellContext`TradForm[
               If[
                And[$CellContext`inverse$$, $CellContext`k$$ >= 0], 
                If[
                 
                 And[$CellContext`a$$ != 0, $CellContext`b$$ != 
                  0, $CellContext`k$$ != 0], 
                 
                 Row[{"\!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  RowBox[{\"-\
\", \"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                   If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                   ReplaceAll[
                    If[$CellContext`rationalize$$, 
                    $CellContext`RinvF[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
                    $CellContext`invF[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]], \
$CellContext`lnFormat]}], 
                 "\!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  RowBox[{\"-\", \
\"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"  \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"does\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"not\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"exist\",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"], 
                
                Row[{"\!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  \
RowBox[{\"-\", \"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]]}]}]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style[
       "  \!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Equation\",\nFontSize->14]\
\)", Bold]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        $CellContext`TradForm[
         Row[{"    \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)", 
           If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
           If[
            And[$CellContext`tangent$$, $CellContext`k$$ >= 0], 
            If[$CellContext`rationalize$$, 
             $CellContext`TanEqR[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
             $CellContext`TanEq[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]], 
            "\[Ellipsis]"]}], 16]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`zero$$], False, 
       Style[
       "\!\(\*\nStyleBox[\" \",\nFontSize->13]\)\!\(\*\nStyleBox[\"Zero\",\n\
FontSize->13]\)", Bold]}, {True, False}}, {{
       Hold[$CellContext`yyintersect$$], False, 
       Style[
       "\!\(\*\nStyleBox[\" \",\nFontSize->13]\)\!\(\*\nStyleBox[\"YY\",\n\
FontSize->13]\)\!\(\*\nStyleBox[\"-\",\nFontSize->13]\)\!\(\*\n\
StyleBox[\"intersection\",\nFontSize->13]\)", Bold]}, {True, False}}, {{
       Hold[$CellContext`inflection$$], False, 
       Style[
       "\!\(\*\nStyleBox[\" \",\nFontSize->13]\)\!\(\*\nStyleBox[\"Inflection\
\",\nFontSize->13]\)\!\(\*\nStyleBox[\" \",\nFontSize->13]\)\!\(\*\nStyleBox[\
\"Point\",\nFontSize->13]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)", 
        Bold]}, {True, False}}, {
      Hold[
       OpenerView[{
         Style[
         "\!\(\*\nStyleBox[\"Points\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"of\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Interest\",\nFontSize->14]\
\)", Bold], 
         Column[{
           Manipulate`Place[6], 
           Dynamic[
            If[
             And[$CellContext`zero$$, $CellContext`k$$ >= 0], 
             If[
              Or[
               
               And[$CellContext`b$$ == 
                0, $CellContext`a$$/(1 + $CellContext`k$$) + $CellContext`d$$ == 
                0], 
               And[$CellContext`a$$ == 0, $CellContext`d$$ == 0]], 
              $CellContext`TradForm[
               Row[{
                "     \!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\[Element]\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\
\[DoubleStruckCapitalR]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\n\
FontSize->14]\)"}], 16], 
              If[
               
               And[$CellContext`b$$ != 0, $CellContext`k$$ > 
                0, (-$CellContext`d$$)/($CellContext`a$$ + $CellContext`d$$) > 
                0], 
               $CellContext`TradForm[
                
                Row[{"    \!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)", 
                  
                  If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                  If[$CellContext`rationalize$$, 
                   ReplaceAll[
                    $CellContext`RinvF[
                    0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$], $CellContext`lnFormat], 
                   N[
                    $CellContext`invF[
                    0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]]]}], 16], 
               Style["     No Real Zero", 12]]], ""]], 
           Manipulate`Place[7], 
           Dynamic[
            If[
             And[$CellContext`yyintersect$$, $CellContext`k$$ >= 0], 
             $CellContext`TradForm[
              Row[{"    \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)", 
                If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                If[$CellContext`rationalize$$, 
                 ReplaceAll[
                  FullSimplify[
                   $CellContext`Rf[
                   0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]], $CellContext`lnFormat], 
                 FullSimplify[
                  N[
                   $CellContext`f[
                   0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]]]]}], 16], ""]], 
           Manipulate`Place[8], 
           Dynamic[
            If[
             
             And[$CellContext`inflection$$, $CellContext`a$$ != 
              0, $CellContext`b$$ != 0, $CellContext`k$$ > 0], 
             $CellContext`TradForm[
              
              Row[{"     \!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\",\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"y\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                StringJoin["( ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                   Rationalize[$CellContext`c$$] + 
                    Rationalize[1/$CellContext`b$$] Log[
                    Rationalize[$CellContext`k$$]], $CellContext`lnFormat], 
                   TraditionalForm], 
                  ToString[
                   
                   N[$CellContext`c$$ + 
                    Log[$CellContext`k$$]/$CellContext`b$$]]], " , ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                    $CellContext`Rf[
                    Rationalize[$CellContext`c$$] + 
                    Rationalize[1/$CellContext`b$$] Log[
                    
                    Rationalize[$CellContext`k$$]], $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], \
$CellContext`lnFormat], TraditionalForm], 
                  ToString[
                   $CellContext`f[
                    
                    N[$CellContext`c$$ + 
                    Log[$CellContext`k$$]/$CellContext`b$$], \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$, \
$CellContext`k$$]]], " )"]}], 16], 
             If[
              And[$CellContext`inflection$$, 
               
               Or[$CellContext`a$$ == 0, $CellContext`b$$ == 
                0, $CellContext`k$$ == 0]], 
              $CellContext`TradForm[
               
               Row[{"     \!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\
\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\[Element]\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\
\[DoubleStruckCapitalR]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\n\
FontSize->14]\)"}], 16], ""]]]}]}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {456., {261., 316.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`rationalize$882$$ = False, $CellContext`a$883$$ = 
    0, $CellContext`b$884$$ = 0, $CellContext`c$885$$ = 
    0, $CellContext`d$886$$ = 0, $CellContext`k$887$$ = 
    0, $CellContext`firstD$888$$ = False, $CellContext`secondD$889$$ = 
    False, $CellContext`inverse$890$$ = False, $CellContext`tangent$891$$ = 
    False, $CellContext`x0$892$$ = 0, $CellContext`zero$893$$ = 
    False, $CellContext`yyintersect$894$$ = 
    False, $CellContext`inflection$895$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        1, $CellContext`c$$ = 0, $CellContext`d$$ = 0, $CellContext`firstD$$ = 
        False, $CellContext`inflection$$ = False, $CellContext`inverse$$ = 
        False, $CellContext`k$$ = 1, $CellContext`rationalize$$ = 
        True, $CellContext`secondD$$ = False, $CellContext`tangent$$ = 
        False, $CellContext`x0$$ = 0, $CellContext`yyintersect$$ = 
        False, $CellContext`zero$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`rationalize$$, $CellContext`rationalize$882$$, 
         False], 
        Hold[$CellContext`a$$, $CellContext`a$883$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$884$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$885$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$886$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$887$$, 0], 
        Hold[$CellContext`firstD$$, $CellContext`firstD$888$$, False], 
        Hold[$CellContext`secondD$$, $CellContext`secondD$889$$, False], 
        Hold[$CellContext`inverse$$, $CellContext`inverse$890$$, False], 
        Hold[$CellContext`tangent$$, $CellContext`tangent$891$$, False], 
        Hold[$CellContext`x0$$, $CellContext`x0$892$$, 0], 
        Hold[$CellContext`zero$$, $CellContext`zero$893$$, False], 
        Hold[$CellContext`yyintersect$$, $CellContext`yyintersect$894$$, 
         False], 
        Hold[$CellContext`inflection$$, $CellContext`inflection$895$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Labeled[
        If[$CellContext`k$$ >= 0, 
         DynamicModule[{$CellContext`p = {0, 
             $CellContext`f[
             0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]}}, 
          LocatorPane[
           Dynamic[$CellContext`p], 
           Plot[{
             Tooltip[
              $CellContext`f[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
              $CellContext`TradForm[
               $CellContext`f[$CellContext`x], 12]], 
             Tooltip[
              If[$CellContext`firstD$$, 
               $CellContext`Df[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]], 
              $CellContext`TradForm[
               Derivative[1][$CellContext`f][$CellContext`x], 12]], 
             Tooltip[
              If[$CellContext`secondD$$, 
               $CellContext`DDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]], 
              $CellContext`TradForm[
               Derivative[2][$CellContext`f][$CellContext`x], 12]], 
             Tooltip[
              If[
               
               And[$CellContext`inverse$$, $CellContext`a$$ != 
                0, $CellContext`b$$ != 0], 
               $CellContext`invF[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]], 
              $CellContext`TradForm[
               Superscript[$CellContext`f, -1][$CellContext`x], 12]], 
             Tooltip[
              If[
               
               And[$CellContext`inverse$$, $CellContext`a$$ != 
                0, $CellContext`b$$ != 0], $CellContext`x], 
              $CellContext`TradForm[
              "\!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"=\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\)", 12]], 
             Tooltip[
              
              If[$CellContext`tangent$$, $CellContext`f[$CellContext`x0$$, \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$, \
$CellContext`k$$] + $CellContext`Df[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$] \
($CellContext`x - $CellContext`x0$$)], 
              $CellContext`TradForm[
              "\!\(\*\nStyleBox[\"Tangent\",\nFontSlant->\"Italic\"]\)", 
               12]]}, {$CellContext`x, $CellContext`xmin, $CellContext`xmax}, 
            PlotRange -> 12, AspectRatio -> Automatic, 
            AxesLabel -> {$CellContext`x, "y"}, GridLines -> {
              Table[$CellContext`i, {$CellContext`i, -10, 10, 2}], 
              Table[$CellContext`i, {$CellContext`i, -10, 10, 2}]}, 
            GridLinesStyle -> Directive[LightGray, Dashed], ImageSize -> 450, 
            Epilog -> {
              Locator[
               Dynamic[{
                 First[$CellContext`p], 
                 $CellContext`f[
                  
                  First[$CellContext`p], $CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`d$$, $CellContext`k$$]}], ImageSize -> 12], 
              Inset[
               Framed[
                Column[{
                  Style["Plot Functions", 13], 
                  Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][17]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}], 
                  If[$CellContext`firstD$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][8]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"'\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`secondD$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][2]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"''\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[
                   
                   And[$CellContext`inverse$$, $CellContext`a$$ != 
                    0, $CellContext`b$$ != 0], 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][15]], 
                    " \!\(\*\nStyleBox[SuperscriptBox[\n  StyleBox[\"f\",\n\
FontSize->16,\nFontSlant->\"Italic\"], \n  RowBox[{\"-\", \"1\"}]],\n\
FontSize->16,\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\
\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`tangent$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][6]], 
                    " \!\(\*\nStyleBox[\"Tangent\",\nFontSize->14,\n\
FontSlant->\"Italic\"]\)"}]]}], Background -> LightGreen, RoundingRadius -> 5,
                 FrameStyle -> {Gray, Thin}], {-8.2, -7.8}], 
              Inset[
               Framed[
                Style[
                 Column[{"Coordinates", 
                   
                   Row[{"\!\(\*\nStyleBox[\"    \",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)", " = ", 
                    Dynamic[
                    Part[$CellContext`p, 1]], "    "}], 
                   
                   Row[{"    \!\(\*\nStyleBox[\"y\",\n\
FontSlant->\"Italic\"]\)", " \[TildeEqual] ", 
                    Dynamic[
                    $CellContext`f[
                    
                    First[$CellContext`p], $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]], 
                    "    "}]}], 13], Background -> ColorData[35][4], 
                RoundingRadius -> 5, FrameStyle -> {Gray, Thin}], {7.5, -10}], 
              If[
               
               And[$CellContext`zero$$, $CellContext`b$$ != 
                0, $CellContext`a$$ != -$CellContext`d$$, $CellContext`k$$ > 
                0, (-$CellContext`d$$)/($CellContext`a$$ + $CellContext`d$$) > 
                0], 
               Tooltip[{
                 PointSize[0.015], 
                 ColorData[3][6], 
                 Point[{
                   $CellContext`invF[
                   0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$], 0}]}, 
                StringJoin["( ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                    $CellContext`RinvF[
                    0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$], $CellContext`lnFormat], TraditionalForm], 
                  ToString[
                   $CellContext`invF[
                   0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]]], " , 0 )"]]], 
              If[
               And[$CellContext`yyintersect$$, $CellContext`k$$ >= 0], 
               Tooltip[{
                 PointSize[0.015], 
                 ColorData[3][3], 
                 Point[{0, 
                   $CellContext`f[
                   0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]}]}, 
                StringJoin["( 0 , ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                    $CellContext`Rf[
                    0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$], $CellContext`lnFormat], TraditionalForm], 
                  ToString[
                   $CellContext`f[
                   0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]]], " )"]]], 
              If[
               
               And[$CellContext`inverse$$, $CellContext`zero$$, \
$CellContext`a$$ != 0, $CellContext`b$$ != 
                0, $CellContext`a$$ != -$CellContext`d$$, $CellContext`k$$ > 
                0, (-$CellContext`d$$)/($CellContext`a$$ + $CellContext`d$$) > 
                0], 
               Tooltip[{
                 PointSize[0.015], 
                 ColorData[3][6], 
                 Point[{0, 
                   $CellContext`invF[
                   0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]}]}, 
                StringJoin["( 0 , ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                    $CellContext`RinvF[
                    0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$], $CellContext`lnFormat], TraditionalForm], 
                  ToString[
                   $CellContext`invF[
                   0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]]], " )"]]], 
              If[
               
               And[$CellContext`inverse$$, $CellContext`yyintersect$$, \
$CellContext`a$$ != 0, $CellContext`b$$ != 0, $CellContext`k$$ > 0], 
               Tooltip[{
                 PointSize[0.015], 
                 ColorData[3][3], 
                 Point[{
                   $CellContext`f[
                   0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$], 0}]}, 
                StringJoin["( ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                    $CellContext`Rf[
                    0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$], $CellContext`lnFormat], TraditionalForm], 
                  ToString[
                   $CellContext`f[
                   0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]]], " , 0 )"]]], 
              If[
               
               And[$CellContext`inflection$$, $CellContext`a$$ != 
                0, $CellContext`b$$ != 0, $CellContext`k$$ > 0], 
               Tooltip[{
                 PointSize[0.015], 
                 ColorData[16][9], 
                 
                 Point[{$CellContext`c$$ + 
                   Log[$CellContext`k$$]/$CellContext`b$$, 
                   $CellContext`f[$CellContext`c$$ + 
                    Log[$CellContext`k$$]/$CellContext`b$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]}]}, 
                StringJoin["( ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                   Rationalize[$CellContext`c$$] + 
                    Rationalize[1/$CellContext`b$$] Log[
                    Rationalize[$CellContext`k$$]], $CellContext`lnFormat], 
                   TraditionalForm], 
                  ToString[
                   
                   N[$CellContext`c$$ + 
                    Log[$CellContext`k$$]/$CellContext`b$$]]], " , ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                    $CellContext`Rf[
                    Rationalize[$CellContext`c$$] + 
                    Rationalize[1/$CellContext`b$$] Log[
                    
                    Rationalize[$CellContext`k$$]], $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], \
$CellContext`lnFormat], TraditionalForm], 
                  ToString[
                   $CellContext`f[
                    
                    N[$CellContext`c$$ + 
                    Log[$CellContext`k$$]/$CellContext`b$$], \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$, \
$CellContext`k$$]]], " )"]]], 
              If[
               
               And[$CellContext`secondD$$, $CellContext`inflection$$, \
$CellContext`a$$ != 0, $CellContext`b$$ != 0, $CellContext`k$$ > 0], 
               Tooltip[{
                 PointSize[0.015], 
                 ColorData[16][9], 
                 
                 Point[{$CellContext`c$$ + 
                   Log[$CellContext`k$$]/$CellContext`b$$, 0}]}, 
                StringJoin["( ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                   Rationalize[$CellContext`c$$] + 
                    Rationalize[1/$CellContext`b$$] Log[
                    Rationalize[$CellContext`k$$]], $CellContext`lnFormat], 
                   TraditionalForm], 
                  ToString[
                   
                   N[$CellContext`c$$ + 
                    Log[$CellContext`k$$]/$CellContext`b$$]]], " , 0 )"]]], 
              If[$CellContext`tangent$$, 
               Tooltip[{
                 PointSize[0.015], 
                 ColorData[3][4], 
                 Point[{$CellContext`x0$$, 
                   $CellContext`f[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]}]}, 
                StringJoin["( ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   Rationalize[$CellContext`x0$$], TraditionalForm], 
                  ToString[$CellContext`x0$$]], " , ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                    $CellContext`Rf[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], \
$CellContext`lnFormat], TraditionalForm], 
                  ToString[
                   $CellContext`f[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]]], 
                 " )"]]], 
              If[
               And[$CellContext`tangent$$, $CellContext`firstD$$], 
               Tooltip[{
                 PointSize[0.015], 
                 ColorData[3][4], 
                 Point[{$CellContext`x0$$, 
                   $CellContext`Df[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]}]}, 
                StringJoin["( ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   Rationalize[$CellContext`x0$$], TraditionalForm], 
                  ToString[$CellContext`x0$$]], " , ", 
                 If[$CellContext`rationalize$$, 
                  ToString[
                   ReplaceAll[
                    $CellContext`RDf[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], \
$CellContext`lnFormat], TraditionalForm], 
                  ToString[
                   $CellContext`Df[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]]], 
                 " )"]]]}, PlotStyle -> {{
               ColorData[54][17], Thick}, {
               ColorData[54][8], Thick}, {
               ColorData[54][2], Thick}, {
               ColorData[54][15], Thick}, {Black, Dashed}, {
               ColorData[54][6]}}], Appearance -> None]], 
         Speak["Sorry. That's no longer a logistic model!"]; 
         Plot[0, {$CellContext`x, $CellContext`xmin, $CellContext`xmax}, 
           PlotRange -> 12, AspectRatio -> Automatic, 
           AxesLabel -> {$CellContext`x, "y"}, GridLines -> {
             Table[$CellContext`i, {$CellContext`i, -10, 10, 2}], 
             Table[$CellContext`i, {$CellContext`i, -10, 10, 2}]}, 
           GridLinesStyle -> Directive[LightGray, Dashed], ImageSize -> 450, 
           Epilog -> Inset[$CellContext`CautionImage, {0, 0}]]], 
        Framed[
         Style[
         " \!\(\*\nStyleBox[\"F\",\nFontSize->24,\n\
FontColor->RGBColor[0.14233615625238422`, 0.4197146562905318, 0.]]\)\!\(\*\n\
StyleBox[\"-\",\nFontSize->24,\nFontColor->RGBColor[0.14233615625238422`, \
0.4197146562905318, 0.]]\)\!\(\*\nStyleBox[\"Logistic\",\nFontSize->24,\n\
FontColor->RGBColor[0.14233615625238422`, 0.4197146562905318, 0.]]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->24,\nFontColor->RGBColor[0.14233615625238422`, \
0.4197146562905318, 0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->18,\n\
FontColor->RGBColor[0.14233615625238422`, 0.4197146562905318, 0.]]\)\!\(\*\n\
StyleBox[\"f\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"x\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"=\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[FractionBox[\n  StyleBox[\"a\",\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]], \n  RowBox[{\"1\", \"+\", \n   \
RowBox[{\"k\", \" \", SuperscriptBox[\n     StyleBox[\"\[ExponentialE]\",\n\
FontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]], \n     RowBox[{\n      \
RowBox[{\"-\", \"b\"}], \n      RowBox[{\"(\", \n       RowBox[{\"x\", \"-\", \
\"c\"}], \")\"}]}]]}]}]],\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, \
0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->18,\nFontColor->RGBColor[0.4, 0.2, \
0.]]\)\!\(\*\nStyleBox[\"+\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, \
0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, \
0.]]\)\!\(\*\nStyleBox[\"d\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, \
0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, \
0.]]\) ", Bold], Background -> ColorData[35][3], RoundingRadius -> 5, 
         FrameStyle -> Blue], Top], "Specifications" :> {
        Style["\!\(\*\nStyleBox[\"Arithmetic\",\nFontSize->14]\)", Bold], 
        "", {{$CellContext`rationalize$$, True, ""}, {
         True -> "Exact", False -> "Approximate"}}, Delimiter, 
        Style["\!\(\*\nStyleBox[\"Parameters\",\nFontSize->14]\)", Bold], 
        "", {{$CellContext`a$$, 1}, -12, 12, 0.01, ImageSize -> Small, 
         Appearance -> "Labeled"}, {{$CellContext`b$$, 1}, -20, 20, 0.01, 
         ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`c$$, 0}, -10, 10, 0.01, ImageSize -> 
         Small, Appearance -> "Labeled"}, {{$CellContext`d$$, 0}, -10, 10, 
         0.01, ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`k$$, 1}, 0.01, 20, 0.01, ImageSize -> 
         Small, Appearance -> "Labeled"}, Delimiter, 
        Style["\!\(\*\nStyleBox[\"Derivatives\",\nFontSize->14]\)", Bold], 
        "", {{$CellContext`firstD$$, False, 
          $CellContext`TradForm[
           Derivative[1][$CellContext`f][$CellContext`x], 16]}, {True, False},
          ControlPlacement -> 1}, {{$CellContext`secondD$$, False, 
          $CellContext`TradForm[
           Derivative[2][$CellContext`f][$CellContext`x], 16]}, {True, False},
          ControlPlacement -> 2}, 
        Column[{
          Row[{"           ", 
            Manipulate`Place[1]}], 
          Row[{"         ", 
            Manipulate`Place[2]}]}], Delimiter, 
        Style[
        "\!\(\*\nStyleBox[\"Inverse\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Function\",\nFontSize->14]\)", Bold], 
        "", {{$CellContext`inverse$$, False, 
          $CellContext`TradForm[
           Superscript[$CellContext`f, -1][$CellContext`x], 16]}, {
         True, False}, ControlPlacement -> 3}, 
        Row[{"        ", 
          Manipulate`Place[3]}], Delimiter, 
        Style[
        "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"at\",\nFontSize->14]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"x\", \
\"0\"],\nFontSize->14]\)", 
         Bold], {{$CellContext`tangent$$, False, 
          "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSize->14,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14,\n\
FontSlant->\"Italic\"]\)"}, {True, False}, ControlPlacement -> 4}, 
        Row[{"      ", 
          Manipulate`Place[4]}], {{$CellContext`x0$$, 
          0}, $CellContext`xmin, $CellContext`xmax, 0.01, ImageSize -> Small, 
         Appearance -> "Labeled", ControlPlacement -> 5}, 
        Dynamic[
         If[$CellContext`tangent$$, 
          Row[{"      ", 
            Manipulate`Place[5]}], ""]], 
        Dynamic[
         If[$CellContext`k$$ >= 0, 
          Style[
          "  \!\(\*\nStyleBox[\"Domain\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"=\",\nFontSize->14]\)\!\(\*\nStyleBox[\
\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\[DoubleStruckCapitalR]\",\n\
FontSize->14]\)", Bold], 
          Style["  \!\(\*\nStyleBox[\"Domain\",\nFontSize->14]\)", Bold]]], 
        "", "", 
        Dynamic[
         If[$CellContext`k$$ > 0, 
          Style[
           Row[
            If[$CellContext`b$$ == 0, {
              Style["\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
              Style["{", 16], 
              If[$CellContext`rationalize$$, 
               
               Rationalize[$CellContext`a$$/(
                 1 + $CellContext`k$$) + $CellContext`d$$], $CellContext`a$$/(
                1 + $CellContext`k$$) + $CellContext`d$$], 
              Style["}", 16]}, 
             If[$CellContext`a$$ < 0, {
               Style[
               "\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
               Style["]", 16], 
               If[$CellContext`rationalize$$, 
                
                Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$], 
               Style[" ; ", 16], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`d$$], $CellContext`d$$], 
               Style["[", 16]}, 
              If[$CellContext`a$$ > 0, {
                Style[
                "\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
                Style["]", 16], 
                If[$CellContext`rationalize$$, 
                 Rationalize[$CellContext`d$$], $CellContext`d$$], 
                Style[" ; ", 16], 
                If[$CellContext`rationalize$$, 
                 
                 Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$], 
                Style["[", 16]}, {
                Style[
                "\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
                Style["{", 16], 
                If[$CellContext`rationalize$$, 
                 Rationalize[$CellContext`d$$], $CellContext`d$$], 
                Style["}", 16]}]]]], 14], 
          If[$CellContext`k$$ == 0, 
           Style[
            Row[{
              Style["\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
              Style["{", 16], 
              If[$CellContext`rationalize$$, 
               
               Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$], 
              Style["}", 16]}], 14], 
           Style["  \!\(\*\nStyleBox[\"Range\",\nFontSize->14]\)", Bold]]]], 
        "", "", 
        OpenerView[{
          Style["\!\(\*\nStyleBox[\"Asymptotes\",\nFontSize->14]\)", Bold], 
          Dynamic[
           If[$CellContext`k$$ > 0, 
            If[$CellContext`b$$ != 0, 
             Column[{
               $CellContext`TradForm[
                Row[{"     ", 
                  TraditionalForm[
                   Style[$CellContext`y, 16]], " = ", 
                  If[$CellContext`rationalize$$, 
                   Rationalize[$CellContext`d$$], $CellContext`d$$]}], 16], 
               $CellContext`TradForm[
                Row[{"     ", 
                  TraditionalForm[
                   Style[$CellContext`y, 16]], " = ", 
                  If[$CellContext`rationalize$$, 
                   
                   Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$]}], 16]}], 
             $CellContext`TradForm[
              Row[{"     ", 
                TraditionalForm[
                 Style[$CellContext`y, 16]], " = ", 
                If[$CellContext`rationalize$$, 
                 
                 Rationalize[$CellContext`a$$/(
                   1 + $CellContext`k$$) + $CellContext`d$$], \
$CellContext`a$$/(1 + $CellContext`k$$) + $CellContext`d$$]}], 16]], 
            If[$CellContext`k$$ == 0, 
             $CellContext`TradForm[
              Row[{"     ", 
                TraditionalForm[
                 Style[$CellContext`y, 16]], " = ", 
                If[$CellContext`rationalize$$, 
                 
                 Rationalize[$CellContext`a$$/(
                   1 + $CellContext`k$$) + $CellContext`d$$], \
$CellContext`a$$/(1 + $CellContext`k$$) + $CellContext`d$$]}], 16], ""]]]}], 
        Delimiter, 
        Style[
        "  \!\(\*\nStyleBox[\"Analytic\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Expressions\",\nFontSize->14]\)", 
         Bold], "", 
        Dynamic[
         If[$CellContext`k$$ >= 0, 
          $CellContext`TradForm[
           
           Row[{"       \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\))", 
             If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
             If[$CellContext`rationalize$$, 
              $CellContext`Rf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
              $CellContext`f[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]]}], 
           16], 
          If[
           And[$CellContext`k$$ == -1, $CellContext`b$$ == 0], 
           $CellContext`TradForm[
           "       \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\)) \!\(\*\nStyleBox[\"is\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"not\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"well\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"defined\",\nFontSlant->\"Italic\"]\
\)", 16], 
           $CellContext`TradForm[
           
           "       \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\))", 16]]]], "", 
        Row[{"     ", 
          OpenerView[{
            Style["\!\(\*\nStyleBox[\"More\",\nFontSize->13]\)", Bold], 
            Column[{
              Dynamic[
               $CellContext`TradForm[
                If[
                 And[$CellContext`firstD$$, $CellContext`k$$ >= 0], 
                 
                 Row[{"\!\(\*\nStyleBox[\"f\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"'\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                   If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                   If[$CellContext`rationalize$$, 
                    $CellContext`RDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
                    $CellContext`Df[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]]}], 
                 
                 Row[{"\!\(\*\nStyleBox[\"f\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"'\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]],
                 16]], "", 
              Dynamic[
               $CellContext`TradForm[
                If[
                 And[$CellContext`secondD$$, $CellContext`k$$ >= 0], 
                 
                 Row[{"\!\(\*\nStyleBox[\"f\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"''\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)", 
                   If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                   If[$CellContext`rationalize$$, 
                    $CellContext`RDDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
                    $CellContext`DDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]]}], 
                 
                 Row[{"\!\(\*\nStyleBox[\"f\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"''\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)"}]], 16]], "", 
              Dynamic[
               $CellContext`TradForm[
                If[
                 And[$CellContext`inverse$$, $CellContext`k$$ >= 0], 
                 If[
                  
                  And[$CellContext`a$$ != 0, $CellContext`b$$ != 
                   0, $CellContext`k$$ != 0], 
                  
                  Row[{"\!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  \
RowBox[{\"-\", \"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                    If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                    
                    ReplaceAll[
                    If[$CellContext`rationalize$$, 
                    $CellContext`RinvF[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
                    $CellContext`invF[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]], \
$CellContext`lnFormat]}], 
                  "\!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  RowBox[{\"-\", \
\"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"  \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"does\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"not\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"exist\",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"], 
                 
                 Row[{"\!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  RowBox[{\"-\
\", \"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]]}]}]}], Delimiter, 
        Style[
        "  \!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Equation\",\nFontSize->14]\
\)", Bold], "", 
        Dynamic[
         $CellContext`TradForm[
          Row[{"    \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)", 
            If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
            If[
             And[$CellContext`tangent$$, $CellContext`k$$ >= 0], 
             If[$CellContext`rationalize$$, 
              $CellContext`TanEqR[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], 
              $CellContext`TanEq[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$]], 
             "\[Ellipsis]"]}], 16]], 
        Delimiter, {{$CellContext`zero$$, False, 
          Style[
          "\!\(\*\nStyleBox[\" \",\nFontSize->13]\)\!\(\*\nStyleBox[\"Zero\",\
\nFontSize->13]\)", Bold]}, {True, False}, ControlPlacement -> 
         6}, {{$CellContext`yyintersect$$, False, 
          Style[
          "\!\(\*\nStyleBox[\" \",\nFontSize->13]\)\!\(\*\nStyleBox[\"YY\",\n\
FontSize->13]\)\!\(\*\nStyleBox[\"-\",\nFontSize->13]\)\!\(\*\n\
StyleBox[\"intersection\",\nFontSize->13]\)", Bold]}, {True, False}, 
         ControlPlacement -> 7}, {{$CellContext`inflection$$, False, 
          Style[
          "\!\(\*\nStyleBox[\" \",\nFontSize->13]\)\!\(\*\n\
StyleBox[\"Inflection\",\nFontSize->13]\)\!\(\*\nStyleBox[\" \",\n\
FontSize->13]\)\!\(\*\nStyleBox[\"Point\",\nFontSize->13]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)", Bold]}, {True, False}, ControlPlacement -> 
         8}, 
        OpenerView[{
          Style[
          "\!\(\*\nStyleBox[\"Points\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"of\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Interest\",\nFontSize->14]\
\)", Bold], 
          Column[{
            Manipulate`Place[6], 
            Dynamic[
             If[
              And[$CellContext`zero$$, $CellContext`k$$ >= 0], 
              If[
               Or[
                
                And[$CellContext`b$$ == 
                 0, $CellContext`a$$/(
                   1 + $CellContext`k$$) + $CellContext`d$$ == 0], 
                And[$CellContext`a$$ == 0, $CellContext`d$$ == 0]], 
               $CellContext`TradForm[
                
                Row[{"     \!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"\[Element]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"\[DoubleStruckCapitalR]\",\nFontSize->14]\)\
\!\(\*\nStyleBox[\" \",\nFontSize->14]\)"}], 16], 
               If[
                
                And[$CellContext`b$$ != 0, $CellContext`k$$ > 
                 0, (-$CellContext`d$$)/($CellContext`a$$ + $CellContext`d$$) > 
                 0], 
                $CellContext`TradForm[
                 Row[{"    \!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)", 
                   If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                   If[$CellContext`rationalize$$, 
                    ReplaceAll[
                    $CellContext`RinvF[
                    0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$], $CellContext`lnFormat], 
                    N[
                    $CellContext`invF[
                    0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]]]}], 16], 
                Style["     No Real Zero", 12]]], ""]], 
            Manipulate`Place[7], 
            Dynamic[
             If[
              And[$CellContext`yyintersect$$, $CellContext`k$$ >= 0], 
              $CellContext`TradForm[
               Row[{"    \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)", 
                 If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                 If[$CellContext`rationalize$$, 
                  ReplaceAll[
                   FullSimplify[
                    $CellContext`Rf[
                    0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]], $CellContext`lnFormat], 
                  FullSimplify[
                   N[
                    $CellContext`f[
                    0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`k$$]]]]}], 16], ""]], 
            Manipulate`Place[8], 
            Dynamic[
             If[
              
              And[$CellContext`inflection$$, $CellContext`a$$ != 
               0, $CellContext`b$$ != 0, $CellContext`k$$ > 0], 
              $CellContext`TradForm[
               
               Row[{"     \!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\
\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\",\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
                 If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                 StringJoin["( ", 
                  If[$CellContext`rationalize$$, 
                   ToString[
                    ReplaceAll[
                    Rationalize[$CellContext`c$$] + 
                    Rationalize[1/$CellContext`b$$] Log[
                    Rationalize[$CellContext`k$$]], $CellContext`lnFormat], 
                    TraditionalForm], 
                   ToString[
                    
                    N[$CellContext`c$$ + 
                    Log[$CellContext`k$$]/$CellContext`b$$]]], " , ", 
                  If[$CellContext`rationalize$$, 
                   ToString[
                    ReplaceAll[
                    $CellContext`Rf[
                    Rationalize[$CellContext`c$$] + 
                    Rationalize[1/$CellContext`b$$] Log[
                    
                    Rationalize[$CellContext`k$$]], $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$, $CellContext`k$$], \
$CellContext`lnFormat], TraditionalForm], 
                   ToString[
                    $CellContext`f[
                    
                    N[$CellContext`c$$ + 
                    Log[$CellContext`k$$]/$CellContext`b$$], \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$, \
$CellContext`k$$]]], " )"]}], 16], 
              If[
               And[$CellContext`inflection$$, 
                
                Or[$CellContext`a$$ == 0, $CellContext`b$$ == 
                 0, $CellContext`k$$ == 0]], 
               $CellContext`TradForm[
                
                Row[{"     \!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"\[Element]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"\[DoubleStruckCapitalR]\",\nFontSize->14]\)\
\!\(\*\nStyleBox[\" \",\nFontSize->14]\)"}], 16], ""]]]}]}]}, 
      "Options" :> {
       ControlPlacement -> {
         Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, 
          Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, 
          Left, Left, Right, Right, Right, Right, Right, Right, Right, Right, 
          Right, Right, Right, Right, Right, Right, Right, Right, Right, 
          Right, Right, Right, Right, Right, Right, Right, Right, Right, 
          Right, Right, Right, Right, Right, Right, Right, Right, Right, 
          Right, Right, Right, Right, Right, Right, Right, Right, Right, 
          Right, Right, Right, Right, Right, Right, Right, Right, Right, 
          Right, Right, Right, Right, Right, Right, Right}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{833., {314., 320.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({{
        Attributes[Derivative] = {NHoldAll, ReadProtected}, 
         Attributes[Superscript] = {
          NHoldRest, ReadProtected}, $CellContext`CautionImage = Graphics[{
            Thickness[0.0033041663555243347`], 
            Style[{
              GeometricTransformation[
               Raster[CompressedData["
1:eJzsnQd4VVXWvycFQuiG3jsIAiLSi4CAIIyoKHzCJ4qFERUxISTcFBURFRtg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                "], {{0., 0.}, {1., 1.}}, {0, 255}, 
                ColorFunction -> RGBColor], {{{302.64820000000003`, 0.}, {
                0., -260.7818}}, {0., 260.7818}}]}, 
             Thickness[0.0033041663555243347`]]}, ImageSize -> {303., 261.}, 
           PlotRange -> {{0., 302.64820000000003`}, {0., 260.7818}}, 
           AspectRatio -> Automatic]}; ($CellContext`TradForm[
           Pattern[$CellContext`arg, 
            Blank[]], 
           Pattern[$CellContext`size, 
            Blank[]]] = Text[
           TraditionalForm[
            TraditionalForm[
             Text[
              
              Style[$CellContext`arg, $CellContext`size]]]]]; \
$CellContext`lnFormat = 
         Log -> $CellContext`ln; $CellContext`xmin = -10; $CellContext`xmax = 
         10; $CellContext`f[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] = $CellContext`a/(
           1 + $CellContext`k 
            E^((-$CellContext`b) ($CellContext`x - $CellContext`c))) + \
$CellContext`d; $CellContext`Df[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] = D[
           $CellContext`f[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d, $CellContext`k], $CellContext`x]; \
$CellContext`DDf[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] = D[
           $CellContext`Df[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d, $CellContext`k], $CellContext`x]; \
$CellContext`invF[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] = (1/$CellContext`b) 
           Log[($CellContext`x - $CellContext`d)/($CellContext`a - \
($CellContext`x - $CellContext`d))] + 
          Log[$CellContext`k]/$CellContext`b + $CellContext`c; \
$CellContext`TanEq[
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] = 
         Expand[$CellContext`f[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`c, $CellContext`d, $CellContext`k] + \
$CellContext`Df[$CellContext`x0, $CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d, $CellContext`k] ($CellContext`x - \
$CellContext`x0)]; $CellContext`Rf[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] := 
         Rationalize[$CellContext`a]/(1 + 
           Rationalize[$CellContext`k] 
            E^((-Rationalize[$CellContext`b]) (Rationalize[$CellContext`x] - 
               Rationalize[$CellContext`c]))) + 
          Rationalize[$CellContext`d]; $CellContext`RDf[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] := 
         Rationalize[($CellContext`a $CellContext`b) $CellContext`k] (
           E^(Rationalize[$CellContext`b] (Rationalize[$CellContext`x] - 
              Rationalize[$CellContext`c]))/(Rationalize[$CellContext`k] + 
            E^(Rationalize[$CellContext`b] (Rationalize[$CellContext`x] - 
               Rationalize[$CellContext`c])))^2); $CellContext`RDDf[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] := (
           Rationalize[(($CellContext`a $CellContext`b) $CellContext`b) \
$CellContext`k] 
           E^(Rationalize[$CellContext`b] (Rationalize[$CellContext`x] - 
              Rationalize[$CellContext`c]))) ((Rationalize[$CellContext`k] - 
            E^(Rationalize[$CellContext`b] (Rationalize[$CellContext`x] - 
              Rationalize[$CellContext`c])))/(Rationalize[$CellContext`k] + 
            E^(Rationalize[$CellContext`b] (Rationalize[$CellContext`x] - 
               Rationalize[$CellContext`c])))^3); $CellContext`RinvF[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] := Rationalize[1/$CellContext`b] Log[
             
             Rationalize[($CellContext`x - $CellContext`d)/($CellContext`a - \
($CellContext`x - $CellContext`d))]] + Rationalize[1/$CellContext`b] Log[
             Rationalize[$CellContext`k]] + 
          Rationalize[$CellContext`c]; $CellContext`TanEqR[
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] := Expand[$CellContext`Rf[
             
             Rationalize[$CellContext`x0], $CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d, $CellContext`k] + $CellContext`RDf[
              
              Rationalize[$CellContext`x0], $CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d, $CellContext`k] (Rationalize[$CellContext`x] - 
             Rationalize[$CellContext`x0])]; Null)}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False]
}, Open  ]]
},
WindowSize->{1280, 682},
WindowMargins->{{0, Automatic}, {Automatic, 2}},
ShowCellBracket->False,
ShowSelection->True,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1257, 32, 2087, 76, 140, "Input"],
Cell[3347, 110, 139669, 2630, 651, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature qwT#sBMgyGdnBCKaK6VZqfep *)
